# egl_exported_image

Represents an EGL exported image with some associated attributes.

An `wpe_fdo_egl_exported_image` represents an `EGLImageKHR` object, which may be retrieved using wpe_fdo_egl_exported_image_get_egl_image, and provides additional information about it.

## Functions

### wpe_fdo_egl_exported_image_get_egl_image

    EGLImageKHR
    wpe_fdo_egl_exported_image_get_egl_image (struct wpe_fdo_egl_exported_image * image)

Gets the `EGLImage` for en exported image.

Parameters:

`image` –

An exported EGL image.

Returns (EGLImageKHR) –

An `EGLImage` handle.

### wpe_fdo_egl_exported_image_get_height

    uint32_t
    wpe_fdo_egl_exported_image_get_height (struct wpe_fdo_egl_exported_image * image)

Gets the height of an exported image.

Parameters:

`image` –

An exported EGL image.

Returns (uint32_t) –

Image height.

### wpe_fdo_egl_exported_image_get_width

    uint32_t
    wpe_fdo_egl_exported_image_get_width (struct wpe_fdo_egl_exported_image * image)

Gets the width of an exported image.

Parameters:

`image` –

An exported EGL image.

Returns (uint32_t) –

Image width.

## Structures

### wpe_fdo_egl_exported_image

## Aliases

### EGLImageKHR

    typedef void * EGLImageKHR

The results of the search are